import { providers, Signer } from "ethers";
import { L1Token } from "../interfaces";
declare type SignerOrProvider = providers.Provider | Signer;
export declare function fetchTokenInfo(address: string, signerOrProvider: SignerOrProvider): Promise<L1Token>;
export declare const getL2TokenAddresses: (l1TokenAddress: string) => {
    [chainId: number]: string;
} | undefined;
export {};
